﻿@using System.Web.UI.WebControls
@{
    ViewBag.Title = "Timewise Student List";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {

            $('select').css('width', '100px')
            $("#TimeCode").css('width', '80px');

            $("#txtfdate").datepicker();
            $("#txtdate").datepicker();
            $("#btnShowReport").click(function () {
                var dt1 = $("#txtfdate").val();
                var dt2 = $("#txtdate").val();
                var TimeSlot = $("#TimeSlot").val();
                var DayName = $("#DayName").val();
                var format = $("#format").val();

                if (dt1 != "" && dt2 != "") {
                    var a = document.createElement('a');
                    a.href = '/Reports/EnqSearchReport?dt1=' + dt1 + '&dt2=' + dt2 + '&dayname=' + DayName + '&timeslot=' + TimeSlot + '&format=' + format;
                    a.target = '_blank';
                    document.body.appendChild(a);
                    a.click();
                }
                else {
                    alert("Select Dates");
                }





            });
        });
    </script>
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Enquiry Search Report</h1>
</div>
<ul class="breadcrumb">
    <li><a href="/Home/Index">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<table width="100%">
    <tr>
        <td>
            <table>
                <tr>
                    <td>
                        From Date <span style="color: Red">(*)</span>
                    </td>
                    <td>
                        To Date <span style="color: Red">(*)</span>
                    </td>
                    <td>
                        Day
                    </td>
                    <td>
                        Time Slot
                    </td>
                    <td>
                    </td>
                    <td>
                    </td>
                </tr>
                <tr>
                    <td>
                        <input type="date" id="txtfdate" />
                    </td>
                    <td>
                        <input type="date" id="txtdate" />
                    </td>
                    <td>
                        <select id="DayName">
                            <option value="All">All</option>
                            <option value="Monday">Monday</option>
                            <option value="Tuesday">Tuesday</option>
                            <option value="Wednesday">Wednesday</option>
                            <option value="Thursday">Thursday</option>
                            <option value="Friday">Friday</option>
                            <option value="Saturday">Saturday</option>
                        </select>
                    </td>
                    <td>
                        @{
                            var liTimeSlot = new List<ListItem>();

                            liTimeSlot.Add(new ListItem { Text = "8-10", Value = "8-10" });
                            liTimeSlot.Add(new ListItem { Text = "10-12", Value = "10-12" });
                            liTimeSlot.Add(new ListItem { Text = "12-3", Value = "12-3" });
                            liTimeSlot.Add(new ListItem { Text = "3-7", Value = "3-7" });

                            ViewBag.TimeSlot = liTimeSlot;
                              
                        }
                        <select id="TimeSlot">
                            <option value="All">All</option>
                            <option value="8-10">8-10</option>
                            <option value="10-12">10-12</option>
                            <option value="12-3">12-3</option>
                            <option value="3-7">3-7</option>
                        </select>
                    </td>
                    <td>
                        <select id="format">
                            <option value="PDF">PDF</option>
                            <option value="Excel">Excel</option>
                        </select>
                    </td>
                    <td valign="top">
                        <input type="button" value="Show Report" class="btn btn-primary" id="btnShowReport" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
        </td>
    </tr>
</table>
